/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.format_test']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.format_test'] = true;
/*
	Copyright (c) 2006-2008, ePages GmbH
	All Rights Reserved.
*/
dojo.provide('epages.format_test');
dojo.require('epages.format');

dojo.mixin(epages.format, {

	test: /*Boolean*/ function(/*epages.Test*/eTest) {
		// summary:
		//		test this package
		// example:
		// 	 | var hash = new epages.lang.Hash();
		//	 | boolean = hash.test(eTest);
		//	 | // returns true if all test are successfully
		eTest.setPlanned(5);

		var string = 'testtest';
		var string2 = 'testtesttesttest';
		var result1 = '...test';
		var result2 = 'tes...';
		var result6 = 'test...ttest';
		var result7 = 'testtes...st';

		var test1 = epages.format.slice(string,-7);
		var test2 = epages.format.slice(string,6);
		//var test3 = epages.format.slice();
		//var test4 = epages.format.slice(string,true);
		var test5 = epages.format.slice(string,10);
		var test6 = epages.format.scrunch(string2,12);
		var test7 = epages.format.scrunch(string2,12, 0.8);
		eTest.ok(test1 == result1, 'negative slice');
		eTest.ok(test2 == result2, 'positiv slice');
		eTest.ok(test5 == string, 'string is shorter than length parameter');
		eTest.ok(test6 == result6, 'scrunch (default ratio)');
		eTest.ok(test7 == result7, 'scrunch (ratio 0.8)');
	}
});

}
